Subject: Re[2]: setup-2.243 Crash / Install from Local Directory / WinXP
From: Pavel Tsekov <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: "Max Bowsher" <[email-masked]>, [email-masked]
Date: Wed, 22 May 2002 14:34:47 +0200

Hello Robert,

Wednesday, May 22, 2002, 2:20:20 PM, you wrote:

RC> C'mon Max, you *know* I need more detail than that.

RC> Install from Local works fine here. Even though it's only a snapshot, I
RC> wasn't aware of any -bugs- in the release.

I can confirm this - here is the output shown from Dr. Mingw JIT:

setup-2.243.exe caused an Access Violation at location 0043a1a5 in module setup-2.243.exe Reading from location 00000000.

Registers:
eax=00000000 ebx=00000000 ecx=015ef944 edx=00000000 esi=004839ac edi=015ef864
eip=0043a1a5 esp=015ef810 ebp=015ef884 iopl=0         nv up ei pl zr na po nc
cs=001b  ss=0023  ds=0023  es=0023  fs=0038  gs=0000             efl=00000246

Call stack:
0043A1A5  setup-2.243.exe:0043A1A5
0041897C  setup-2.243.exe:0041897C
0040E89F  setup-2.243.exe:0040E89F
00410F03  setup-2.243.exe:00410F03
00411A3B  setup-2.243.exe:00411A3B
00411F58  setup-2.243.exe:00411F58
77E602ED  kernel32.dll:77E602ED  OpenConsoleW

I'll try to debug this at home this night since I cannot access CVS
now. Btw I forced it to crash by doing 'Instal from local directory'
and choose a mirror named directory inside my root package directory.
It doesn't crash for me if a choose the root package directory I use
normally.

If someone can send me a debuggable setup.exe I'll debug it ASAP :)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/